%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define __python %{__python3}

Summary:	Extra plugins for gedit
Name:		gedit-plugins
Version:	47.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Editors
URL:		https://wiki.gnome.org/Apps/Gedit/ShippedPlugins
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gedit) >= %{url_ver}
BuildRequires:	pkgconfig(gio-2.0) >= 2.26.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libpeas-1.0) >= 1.0.0
BuildRequires:	pkgconfig(libpeas-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-gobject3
BuildRequires:	appstream
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	vala
Requires:	gedit >= %{url_ver}
Requires:	python3-gobject3

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

This package contains some extra plugins for gEdit, extending gEdit
functionality.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang gedit --with-gnome
%find_lang %name --with-gnome

cat gedit.lang >> %name.lang

%files -f %{name}.lang
%doc NEWS README.md
%{_datadir}/glib-2.0/schemas/*.xml
%{_libdir}/gedit/plugins/*
%{_datadir}/gedit/plugins/*
%{_metainfodir}/gedit-*.metainfo.xml


%changelog
* Mon Jun 10 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2072501
- new version 47.1

* Thu Dec 07 2023 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2014210
- new version 46.0

* Sat Sep 30 2023 tv <tv> 45.0-1.mga10
+ Revision: 1992535
- Update to 45.0

* Wed Sep 27 2023 wally <wally> 44.1-2.mga10
+ Revision: 1991400
- rebuild for tepl 6.4.0

* Fri Feb 03 2023 daviddavid <daviddavid> 44.1-1.mga9
+ Revision: 1937811
- new version 44.1

* Thu Dec 15 2022 ghibo <ghibo> 43.1-2.mga9
+ Revision: 1923211
- Rebuild against newer gedit

* Fri Nov 04 2022 ghibo <ghibo> 43.1-1.mga9
+ Revision: 1902522
- Update to release 43.1.
- Adjust files list.

* Fri May 27 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1860441
- new version 42.1

* Tue Apr 05 2022 tv <tv> 42.0-1.mga9
+ Revision: 1844828
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 41.0-1.mga9
+ Revision: 1794457
- Update to 41.0

* Mon Jan 24 2022 neoclust <neoclust> 40.1-2.mga9
+ Revision: 1769602
- Rebuild agaisnt new gedit

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721531
- new version 40.1

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1710124
- new version 40.0

* Fri Nov 20 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1647955
- new version 3.38.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624558
- new version 3.38.0

* Mon Sep 07 2020 tv <tv> 3.37.92-2.mga8
+ Revision: 1623293
- bump rel

* Mon Sep 07 2020 tv <tv> 3.37.92-1.mga8
+ Revision: 1623088
- 3.37.92

* Tue Jun 16 2020 daviddavid <daviddavid> 3.36.2-2.mga8
+ Revision: 1593457
- rebuild for new gedit

* Fri Mar 20 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1558238
- new version 3.36.2

* Wed Mar 11 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1555622
- new version 3.36.1

* Fri Mar 06 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554436
- new version 3.36.0

* Wed Feb 19 2020 ovitters <ovitters> 3.35.90-1.mga8
+ Revision: 1544854
- new version 3.35.90

* Tue Feb 18 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1538570
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1462284
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438862
- new version 3.34.0

* Tue Sep 03 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436731
- new version 3.33.92

* Wed Aug 07 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1427992
- new release

* Thu May 16 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1397928
- new version 3.32.2

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373884
- new version 3.32.0

* Sun Mar 10 2019 daviddavid <daviddavid> 3.31.90-1.mga7
+ Revision: 1373462
- new version 3.31.90

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303553
- new version 3.30.1

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257054
- new version 3.30.0

* Mon Apr 09 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216367
- new version 3.28.1
+ kekepower <kekepower>
- Use new make macros

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208548
- new version 3.28.0

* Mon Mar 12 2018 tv <tv> 3.27.92-1.mga7
+ Revision: 1208525
- new release

* Wed Sep 13 2017 cjw <cjw> 3.22.0-2.mga7
+ Revision: 1153406
- rebuild for new find_lang

* Fri Oct 07 2016 tv <tv> 3.22.0-1.mga6
+ Revision: 1059366
- new release

* Sun Mar 20 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993384
- new version 3.20.0

* Sun Feb 14 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960269
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882710
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 879319
- new version 3.17.1

* Mon Jun 22 2015 ovitters <ovitters> 3.17.0-1.mga6
+ Revision: 839661
- new version 3.17.0

* Wed Nov 12 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 796553
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 745111
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731619
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.2-2.mga5
+ Revision: 679479
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Sat Jul 26 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 656596
- new version 3.13.2

* Wed Jul 23 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 656033
- new version 3.13.1

* Tue Jun 24 2014 ovitters <ovitters> 3.13.0-2.mga5
+ Revision: 639467
- update source url

* Tue Jun 24 2014 ovitters <ovitters> 3.13.0-1.mga5
+ Revision: 639442
- enable zeitgeist,git
- new version 3.13.0

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614117
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608054
- new version 3.12.0

* Wed Mar 05 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599900
- new version 3.11.91

* Thu Feb 06 2014 dams <dams> 3.11.2-1.mga5
+ Revision: 584452
- new version 3.11.2

* Tue Feb 04 2014 ovitters <ovitters> 3.10.1-1.mga5
+ Revision: 582542
- new version 3.10.1

* Sat Nov 09 2013 ovitters <ovitters> 3.10.0-3.mga4
+ Revision: 550151
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536502
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484489
- new version 3.10.0

* Tue Jul 30 2013 fwang <fwang> 3.9.2-2.mga4
+ Revision: 461101
- force python3

* Fri Jul 26 2013 dams <dams> 3.9.2-1.mga4
+ Revision: 458617
- new version 3.9.2

* Tue Jun 18 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 444638
- new version 3.8.3

* Mon May 27 2013 fwang <fwang> 3.8.2-2.mga4
+ Revision: 428565
- add br on vte3

* Mon May 27 2013 blino <blino> 3.8.2-1.mga4
+ Revision: 428552
- 3.8.2
+ ovitters <ovitters>
- new version 3.8.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 351239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307253
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297250
- new version 3.6.0

* Wed Sep 19 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 296226
- new version 3.5.2

* Sun Aug 19 2012 ovitters <ovitters> 3.5.1-1.mga3
+ Revision: 282408
- new version 3.5.1

* Mon Apr 23 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 232744
- new version 3.4.0

* Fri Mar 09 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 221994
- new version 3.3.4

* Sat Feb 25 2012 fwang <fwang> 3.3.3-1.mga2
+ Revision: 214461
- new version 3.3.3

* Tue Feb 07 2012 fwang <fwang> 3.3.2-1.mga2
+ Revision: 205736
- new version 3.3.2

* Sun Dec 04 2011 fwang <fwang> 3.3.1-1.mga2
+ Revision: 175831
- new version 3.3.1

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155617
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148946
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.5-1.mga2
+ Revision: 146011
- new version 3.1.5

* Tue Sep 06 2011 wally <wally> 3.1.4-1.mga2
+ Revision: 139566
- new version 3.1.4
- clean .spec a bit

* Thu Sep 01 2011 fwang <fwang> 3.1.3-1.mga2
+ Revision: 137505
- new version 3.1.3
- rebuild
- rebuild
- br intltool
- update spec
+ gil <gil>
- imported package gedit-plugins


* Thu Jul 07 2011 gil <gil> 3.1.2-0.%%mkrel
- initial rpm
